﻿LeftArea = function(viewport,config){

	this.viewport = viewport;
	Ext.apply(this, config);

	this.store = new Ext.data.Store({
		proxy: new Ext.data.HttpProxy({
			url:'basicGrid.json'
		}),
		reader: new Ext.data.JsonReader(
			{ root: 'testData'  },
			[
				{name: 'company', type:'string', mapping: 'company'},
				{name: 'price', type: 'float', mapping: 'price'},
				{name: 'change', type: 'float', mapping: 'change'},
				{name: 'pctChange', type: 'float', mapping: 'pctChange'},
				{name: 'lastChange', type: 'date', dateFormat: 'n/j h:ia', mapping: 'lastChange'}
			]
		)
	});

	LeftArea.superclass.constructor.call(this, {
		store: this.store,
		columns: [
			{id:'company',header: "Company", width: 160, sortable: true, dataIndex: 'company' },
			{header: "Price", width: 75, sortable: true, renderer: 'usMoney', dataIndex: 'price' },
			{header: "Change", width: 75, sortable: true, dataIndex: 'change'},
			{header: "% Change", width: 75, sortable: true, dataIndex: 'pctChange'},
			{header: "Last Updated", width: 85, sortable: true, renderer: Ext.util.Format.dateRenderer('m/d/Y'), dataIndex: 'lastChange'}
		],
		stripeRows: true,
		autoExpandColumn: 'company',
		loadMask: {msg:'데이타 로드중'},
		sm: new Ext.grid.RowSelectionModel({
			singleSelect:true
		}),
		view: new Ext.grid.GridView({
			forceFit:true,
			enableRowBody:true,
			emptyText: 'No Record found'
		})
	});
};

Ext.extend(LeftArea, Ext.grid.GridPanel,{
	loadGridDataSet:function(){
		this.store.load();	
	}


 });